Subject: [bug#74780] Request for merging "mesa-updates" branch

From: John Kehayias <[email-masked]>
Date: Sat, 04 Jan 2025 05:34:17 +0000

On Sun, Dec 29, 2024 at 09:46 PM, John Kehayias wrote:

> Hi all,
>
> On Sun, Dec 29, 2024 at 03:57 PM, Ludovic Courtès wrote:
>
>> Hey John and all,
>>
>> It’s the turn of the “mesa-updates” branch to be merged:
>>
>>   <https://qa.guix.gnu.org/>
>>
>> :-)
>>
>> Ludo’.
>
> Thanks for checking in.
>
> I just rebased and pushed. I'll keep an eye on it but didn't notice
> any big failures (plenty on earlier evaluations but mostly due to the
> python merge from what I can tell).
>
> The question is what the substitute coverage will be like on
> non-x86_64-linux. It had already been about 9-10 days from the last
> update and didn't seem like much progress. And with QA back up but
> very behind, not sure if we expect that to tell us anything soon.
>
> Should I give it a day or so to build the current rebase and then just
> merge? From Efraim's local builds and given the nature of the commits,
> I don't expect any big surprises.
>
> (Side note: does i686-linux have priority on Berlin or something like
> that? The last few weeks I notice many more active i686 builds after a
> push with many pending builds. The current evaluation, for instance:
> the vast majority of workers are idle, and then the vast majority of
> active are i686 builds. Or is that from just generally being behind on
> i686 so there's just more of that to do?)
>
> Thanks!
> John

QA page still hasn't updated and it has been another 5 days from the
last message. Unless there are any objections I'll do a rebase and
merge later this weekend.

John